Bug 830402 - X.org freezes randomly when using the nouveau driver
X.org freezes randomly when using the nouveau driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 04:16 EDT by Haakon Riiser
Modified: 2013-07-31 17:50 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:50:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Errors in dmesg from when X froze (63.80 KB, text/plain)
2012-06-09 04:16 EDT, Haakon Riiser
no flags Details

  None (edit)
Description Haakon Riiser 2012-06-09 04:16:38 EDT
Created attachment 590566 [details]
Errors in dmesg from when X froze

Description of problem:
X.org freezes at random times when using the nouveau graphics driver. It may be more likely to occur when using XVideo overlays. The "freeze" in this context means that X becomes completely unresponsive: mouse cursor doesn't move, keyboard doesn't work (can't even kill the X server), non-interactive things like video stopped playing, etc. The system is still alive, so I can log in remotely to kill -9 the X server. Even that didn't bring back the console. Could however recover it by doing the following from the remote ssh shell:

  export DISPLAY=
  startx

I also checked out dmesg, where I found a bunch of nouveau related error messages (see the attachment "nouveau_kernel_errors.txt").

Version-Release number of selected component (if applicable):
  kernel-3.4.0-1.fc17.x86_64
  xorg-x11-drv-nouveau-0.0.16-35.20120306gitf5d1cd2.fc17.x86_64
  xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64

How reproducible:
Typically takes a few hours between each crash.

Steps to Reproduce:
1. Use X normally.

Additional info:
Do not know if this is new in Fedora 17, because I used rpmfusion's kmod-nvidia in my past installation (which never caused any problems). I have now disabled nouveau and gone back to using kmod-nvidia, so I will probably not make any followups to this bug report, I posted it just to record the problem in case others experience the same thing.

Relevant hardware info:
  Graphics card: NVIDIA GeForce GTX 280
  Motherboard: Gigabyte GA-EX58-UD5
  CPU: Intel i7-920
Comment 1 Haakon Riiser 2012-06-09 04:21:13 EDT
Even though the X server could be restarted (remotely) after SIGKILL'ing the frozen X server, nouveau kept spamming the kernel log with warnings. Always the same warning though:

Jun  9 09:19:18 snowbird kernel: [22891.677555] [drm] nouveau 0000:02:00.0: PFIFO_CACHE_ERROR - Ch 127/3 Mthd 0x1460 Data 0x00fc7460
Jun  9 09:19:18 snowbird kernel: [22891.677572] [drm] nouveau 0000:02:00.0: PFIFO_CACHE_ERROR - Ch 127/3 Mthd 0x1464 Data 0x00fc7460
Jun  9 09:19:18 snowbird kernel: [22891.677596] [drm] nouveau 0000:02:00.0: PFIFO_CACHE_ERROR - Ch 127/3 Mthd 0x1468 Data 0x00fc7460
Jun  9 09:19:18 snowbird kernel: [22891.677612] [drm] nouveau 0000:02:00.0: PFIFO_CACHE_ERROR - Ch 127/3 Mthd 0x146c Data 0x00fc7460
Jun  9 09:19:18 snowbird kernel: [22891.677636] [drm] nouveau 0000:02:00.0: PFIFO_CACHE_ERROR - Ch 127/3 Mthd 0x1470 Data 0x00fc7460
Jun  9 09:19:18 snowbird kernel: [22891.677652] [drm] nouveau 0000:02:00.0: PFIFO_CACHE_ERROR - Ch 127/3 Mthd 0x1474 Data 0x00fc7460
...
Comment 2 Tethys 2012-10-02 11:37:18 EDT
Same thing here, but I don't get the PFIFO_CACHE_ERROR messages. I don't
know if the machine is still alive or not, but it seems pretty dead to me.
Audio repeats in a ~1 second loop. Everything else seems dead. Cursor
doesn't move, clock doesn't update, num lock keyboard lights don't work
when the num lock key is pressed etc.

Hardware details:
http://www.smolts.org/client/show/pub_cc3a6c0f-7984-4c16-9339-2dd2e9733e1c

kernel-3.5.4-2.fc17.x86_64
xorg-x11-drv-nouveau-0.0.16-37.20120306gitf5d1cd2.fc17.x86_64
xorg-x11-server-Xorg-1.12.3-2.fc17.x86_64

After a reboot, there's nothing in /var/log/messages from immediately
before the crash.
Comment 3 Fedora End Of Life 2013-07-03 17:04:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 17:50:25 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.